/*
    File created: Wednesday, August 24, 2005 at 08:51
    Example A. 
    Conditional logit
    Data : Greene.xls
*/
#include <oxstd.h>
#include "dcm.ox"
main()
{                 
    decl dcm = new DCM();                       // Create a DCM object
    dcm.Load("Greene.xls");                     // Load database
    dcm.Deterministic(TRUE);                    // Append alt. spec. constants
    dcm.SetAltNames({"air","train","bus","car"}); // Set new alt. names
    dcm.Select(Y_VAR,{"Mode",0,0});             // Select dependent variable
    dcm.Select(A_VAR,{"GC",0,0,"Ttme",0,0});    // Select independent variables
    dcm.Interact({"air"},{"Hinc"});             // Append and select interactions
    dcm.SetRefAlt("car");                       // Set reference alternative
    dcm.SetAlgorithm(BFGS);                     // Use BFGS optimizer
    dcm.SetModel(CL);
    dcm.Estimate();                             // Estimate the model     
    dcm.TestRandCoeff(-1);                      // Test all coefficients
    dcm.TestRandCoeff({"air","train","bus"});   // Test a subset of coefficients
}
