/*
    File created Wednesday, August 24, 2005 at 09:04
    Example B. 
    Nested logit
    Data : Greene.xls
*/
#include <oxstd.h>
#include "dcm.ox"
main()
{
    decl dcm = new DCM();           // Create DCM object
    dcm.Load("Greene.xls");         // Load database
                                    // Append alt. spec. constants
    dcm.Append(ones(210,1)**unit(4),{"air","train","bus","car"}); 
                                    // Append interaction term
    dcm.Append(dcm.GetVar("air").*dcm.GetVar("Hinc"),"air*Hinc"); 
    dcm.Select(Y_VAR,{"Mode",0,0}); // Select dependent variable
                                    // Select independent variables
    dcm.Select(A_VAR,{"air",0,0,"train",0,0,"bus",0,0,
                      "GC",0,0,"Ttme",0,0,"air*Hinc",0,0});
    dcm.SetRefAlt(3);               // Set reference alternative
    dcm.SetModel(NL);               // Set model
    dcm.SetNest({0,<1,2,3>});       // Set nesting structure
    dcm.SetAlgorithm(BFGS);         // Set algorithm 
    dcm.Estimate();                 // Estimate model   
}
