/*
    File created Wednesday, August 24, 2005 at 09:06
    Example C. 
    Mixed logit
    Data : Greene.xls and tmp.xls
    Greene.xls has multiple rows for each record, tmp.xls has a single row for each record.
*/
#include <oxstd.h>
#include "dcm.ox"
main()
{
    // Transform "multiple row structure" to "single row structure"
    decl tmp = new DCM();                   // Create DCM object
    tmp.Load("Greene.xls");                 // Load original database
    println("No. of rows and cols in original data set    = ",
            rows(tmp.GetAll()),"x",columns(tmp.GetAll()));
    tmp.TransformData("Mode","temp.xls");   // Transform and save database
    println("No. of rows and cols in transformed data set = ",
            rows(tmp.GetAll()),"x",columns(tmp.GetAll()));
    delete tmp;                             // Delete this object

    decl dcm = new DCM();
    dcm.Load("temp.xls");                   // Load temporary *transformed* database
    dcm.Deterministic(TRUE);
    dcm.SetAltNames({"air","train","bus","car"});
    dcm.Select(Y_VAR,{"Mode",0,0});
    dcm.Select(A_VAR,{"GC",0,0,"Ttme",0,0});
    dcm.Interact({"air"},{"Hinc"});
    dcm.SetRefAlt("car");

    dcm.SetModel(MXL);                      // Set model to MXL
    dcm.SetCoeffDist(NORMAL,{"air","train","bus"},0); // Set distr. of coeff's
    dcm.SetCoeffDist(-LOGNORMAL,{"GC"});    // Use neg. support for price coeff's
    dcm.SetRandom(HALTON,100);              // Set type and no. of random draws
    dcm.SetAlgorithm(BFGS);
    dcm.Estimate();
}
