/*
    File created 2004-04-29Wednesday, August 24, 2005 at 09:08
    Example D. 
    Multinomial probit, multiple models and LaTeX output
    Data : Married4.xls
*/
#include <oxstd.h>
#include "dcm.ox"
main() 
{
    decl dcm = new DCM();
    dcm.Load("Married4.xls");  
    dcm.Select(Y_VAR,{"REFPRED",0,0});  // Dependent variable
                                        // Individual characteristics
    dcm.Select(I_VAR,{"DKID02",0,0,"DKID34",0,0,"DKID510",0,0,
                      "DKID110",0,0,"TOT_KIDS",0,0,"AGE",0,0,
                      "EDGT16",0,0,"COHAB",0,0,"LNWFIT",0,0});
    dcm.Select(A_VAR,{"INC",0,0});      // Alternative attributes
    dcm.ScaleVar({"INC",0.01});         // Multiply INC by 0.01 before estimation
    dcm.SetAlgorithm(BFGS);

    // Model 1: Conditional logit
    dcm.SetModel(CL);
    dcm.Estimate();
    decl tab = dcm.GetResultTable();     // Store relevant est. results in array

    // Model 2: No random coefficients, heteroscedastic error covariance struct.
    dcm.SetModel(MNP);   
    dcm.SetRandom(HALTON,50);
    dcm.SetErrDist(HETEROSC);
    dcm.Estimate();    
    tab.Merge(dcm.GetResultTable());

    // Model 3: Normal distr. inc. coefficient, IID error covariance structure
    dcm.SetCoeffDist(NORMAL,{"INC"});   // Normal distr. inc. coefficient
    dcm.SetErrDist(IID);   
    dcm.SetStartPar(dcm.GetPar()[:18]|  // Mean coefficients
                    1);                 // standard dev. of random coeff. 
    dcm.SetRandom(HALTON,50);
    dcm.Estimate();   
    tab.Merge(dcm.GetResultTable());
    
    // Print all results to one LaTeX table     
    tab.LaTeX();    // Print results from model 1-3 in table
}
