/*
    File created Wednesday, August 24, 2005 at 09:24
    Example E. 
    Ordered probit and simulation
    Data : sim.xls (generated in program)
*/
#include <oxstd.h> 
#include "dcm.ox"
main()
{
    println("Generating...");
    decl gen = new DCM();                   // (1) Create DCM object
        gen.SetModel(OP);                       // (2) Set model to simulate
        gen.SetDim(1000,1,4);                   // (3) Set dimension of database
        gen.Append(rann(1000,2),{"x1","x2"});   // (4) Append variables 
        gen.Select(I_VAR,{"x1",0,0,"x2",0,0});  // (5) Select variables to true model
        gen.SetTruePar(<1;1;-1;0;1>);           // (6) Set true parameter vector
        gen.Generate();                         // (7) Generate dependent variable "y"
        gen.SaveXls("sim.xls");                 // Save database in Excel
    delete gen;                             // Delete object    
    println("Estimating...");
    decl dcm = new DCM();                   // Create new DCM object
        dcm.Load("sim.xls");                    // Load database
        dcm.Select(Y_VAR,{"y",0,0});            // Select dependent variable
        dcm.Select(I_VAR,{"x1",0,0,"x2",0,0});  // Select indepentent variables
        dcm.SetModel(OP);                       // Set model
        dcm.Estimate();                         // (8) Estimate
    delete dcm;
}
