/*
    File created Wednesday, August 24, 2005 at 09:26
    Example F.
    Mixed ordered Mixed probit and Monte Carlo experiment
    Data : sim.xls (generated in program)
*/
#include <oxstd.h>    
#include <oxdraw.h>
#include "dcm.ox"
main()
{
    decl mc = new DCM();                    // (1) Create DCM object
    mc.SetModel(OMP);                       // (2) Set model to simulate
    mc.SetDim(100,1,4);                     // (3) Set dimension of database
    mc.Append(rann(100,2),{"x1","x2"});     // (4) Append variables
    mc.Select(I_VAR,{"x1",0,0,"x2",0,0});   // (5) Select variables into true model
    mc.SetCoeffDist(NORMAL,{"x1"});         //     Set coefficient distribution
    mc.SetTruePar(<1;1;-1;0;1;0.5>);        // (6) Set true parameter vector
    mc.SetAlgorithm(BFGS);
    decl mP = <>;                           // Stores MC replications
    mc.SetPrint(FALSE);                     // No print-outs
    for (decl r=0;r<100;++r){               // Start MC replications
        print("Replication ",r,"...");
        mc.Generate();                      // (7) Generate dependent variable "y"
        mc.Estimate();                      // (8) Estimate model.
        if (mc.GetResult()==MAX_CONV){      // (9) If convergence, store results
            println("converged");
            mP ~= mc.GetFreePar();
        }
        else
            println("did not converged");
    }
    decl asLegend = {};
    for (decl p=0;p<mc.GetFreeParCount();++p)
        asLegend ~= sprint(mc.GetFreeParNames()[p],"=",mc.GetTruePar()[p]);
    DrawDensity(0,mP,asLegend,1,0,0);       // Graphics
    ShowDrawWindow();      
    SaveDrawWindow("OMPMC.eps");
    delete mc;    
}
